### Constructor

# Gtk TreeModelSort new_with_model

#### Declaration [src]

    GtkTreeModel*
    gtk_tree_model_sort_new_with_model (
      GtkTreeModel* child_model
    )

#### Description [src]

Creates a new `GtkTreeModelSort`, with `child_model` as the child model.

#### Parameters

`child_model` | `GtkTreeModel`
| A `GtkTreeModel`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkTreeModelSort`
| A new `GtkTreeModelSort`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.